<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'joolano',

    /*
     * Package.
     */
    'package'   => 'joolano',

    /*
     * Modules.
     */
    'modules'   => ['service_type', 'pricing_logic', 'test'],

    'service_type'       => [
        'model' => [
            'model'                 => \Joolano\Joolano\Models\ServiceType::class,
            'table'                 => 'service_types',
            'presenter'             => \Joolano\Joolano\Repositories\Presenter\ServiceTypePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'Service Name',  'Provider Name',  'Picture',  'pricing_logic'],
            'translatables'         => [],
            'upload_folder'         => 'joolano/service_type',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Joolano',
            'package'   => 'Joolano',
            'module'    => 'ServiceType',
        ],

    ],
    'pricing_logic'       => [
        'model' => [
            'model'                 => \Joolano\Joolano\Models\PricingLogic::class,
            'table'                 => 'pricing_logics',
            'presenter'             => \Joolano\Joolano\Repositories\Presenter\PricingLogicPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'Pricing Logic'],
            'translatables'         => [],
            'upload_folder'         => 'joolano/pricing_logic',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Joolano',
            'package'   => 'Joolano',
            'module'    => 'PricingLogic',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "PricingLogic created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "PricingLogic completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "PricingLogic verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "PricingLogic approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "PricingLogic published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "PricingLogic unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "PricingLogic archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "PricingLogic deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],
    'test'       => [
        'model' => [
            'model'                 => \Joolano\Joolano\Models\Test::class,
            'table'                 => 'tests',
            'presenter'             => \Joolano\Joolano\Repositories\Presenter\TestPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name'],
            'translatables'         => [],
            'upload_folder'         => 'joolano/test',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Joolano',
            'package'   => 'Joolano',
            'module'    => 'Test',
        ],

    ],
];
