<?php

namespace Joolano\Joolano;

use DB;
use Illuminate\Database\Seeder;

class PricingLogicTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('pricing_logics')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'joolano.pricing_logic.view',
                'name'      => 'View PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.create',
                'name'      => 'Create PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.edit',
                'name'      => 'Update PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.delete',
                'name'      => 'Delete PricingLogic',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'joolano.pricing_logic.verify',
                'name'      => 'Verify PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.approve',
                'name'      => 'Approve PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.publish',
                'name'      => 'Publish PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.unpublish',
                'name'      => 'Unpublish PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.cancel',
                'name'      => 'Cancel PricingLogic',
            ],
            [
                'slug'      => 'joolano.pricing_logic.archive',
                'name'      => 'Archive PricingLogic',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/joolano/pricing_logic',
                'name'        => 'PricingLogic',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/joolano/pricing_logic',
                'name'        => 'PricingLogic',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'pricing_logic',
                'name'        => 'PricingLogic',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Joolano',
                'module'    => 'PricingLogic',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'joolano.pricing_logic.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
