<?php

namespace Joolano\Joolano;

use User;

class Joolano
{
    /**
     * $pricing_logic object.
     */
    protected $pricing_logic;

    /**
     * Constructor.
     */
    public function __construct(\Joolano\Joolano\Interfaces\PricingLogicRepositoryInterface $pricing_logic)
    {
        $this->pricing_logic = $pricing_logic;
    }

    /**
     * Returns count of joolano.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.pricing_logic.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->pricing_logic->pushCriteria(new \Litepie\Joolano\Repositories\Criteria\PricingLogicUserCriteria());
        }

        $pricing_logic = $this->pricing_logic->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('joolano::' . $view, compact('pricing_logic'))->render();
    }
}
