<?php

namespace Joolano\Joolano\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind ServiceType policy
        'Joolano\Joolano\Models\ServiceType' => \Joolano\Joolano\Policies\ServiceTypePolicy::class,// Bind PricingLogic policy
        'Joolano\Joolano\Models\PricingLogic' => \Joolano\Joolano\Policies\PricingLogicPolicy::class,// Bind Test policy
        'Joolano\Joolano\Models\Test' => \Joolano\Joolano\Policies\TestPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
