<?php

namespace Joolano\Joolano\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind PricingLogic workflow validator
        'Joolano\Joolano\Models\PricingLogic' => \Joolano\Joolano\Workflow\PricingLogicValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind PricingLogic workflow actions
        'Joolano\Joolano\Models\PricingLogic' => \Joolano\Joolano\Workflow\PricingLogicAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind PricingLogic workflow notifiers
        'Joolano\Joolano\Models\PricingLogic' => \Joolano\Joolano\Workflow\PricingLogicNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
