<?php

namespace Joolano\Joolano\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PricingLogicTransformer extends TransformerAbstract
{
    public function transform(\Joolano\Joolano\Models\PricingLogic $pricing_logic)
    {
        return [
            'id'                => $pricing_logic->getRouteKey(),
            'key'               => [
                'public'    => $pricing_logic->getPublicKey(),
                'route'     => $pricing_logic->getRouteKey(),
            ], 
            'id'                => $pricing_logic->id,
            'Pricing Logic'     => $pricing_logic->Pricing Logic,
            'url'               => [
                'public'    => trans_url('joolano/'.$pricing_logic->getPublicKey()),
                'user'      => guard_url('joolano/pricing_logic/'.$pricing_logic->getRouteKey()),
            ], 
            'status'            => trans('app.'.$pricing_logic->status),
            'created_at'        => format_date($pricing_logic->created_at),
            'updated_at'        => format_date($pricing_logic->updated_at),
        ];
    }
}