<?php

namespace Joolano\Joolano\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ServiceTypeTransformer extends TransformerAbstract
{
    public function transform(\Joolano\Joolano\Models\ServiceType $service_type)
    {
        return [
            'id'                => $service_type->getRouteKey(),
            'key'               => [
                'public'    => $service_type->getPublicKey(),
                'route'     => $service_type->getRouteKey(),
            ], 
            'id'                => $service_type->id,
            'Service Name'      => $service_type->Service Name,
            'Provider Name'     => $service_type->Provider Name,
            'Picture'           => $service_type->Picture,
            'pricing_logic'     => $service_type->pricing_logic,
            'url'               => [
                'public'    => trans_url('joolano/'.$service_type->getPublicKey()),
                'user'      => guard_url('joolano/service_type/'.$service_type->getRouteKey()),
            ], 
            'status'            => trans('app.'.$service_type->status),
            'created_at'        => format_date($service_type->created_at),
            'updated_at'        => format_date($service_type->updated_at),
        ];
    }
}