<?php

namespace Joolano\Joolano\Workflow;

use Joolano\Joolano\Models\PricingLogic;
use Joolano\Joolano\Notifications\PricingLogicWorkflow as PricingLogicNotifyer;
use Notification;

class PricingLogicNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param PricingLogic $pricing_logic
     *
     * @return void
     */
    public function complete(PricingLogic $pricing_logic)
    {
        return Notification::send($pricing_logic->user, new PricingLogicNotifyer($pricing_logic, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param PricingLogic $pricing_logic
     *
     * @return void
     */
    public function verify(PricingLogic $pricing_logic)
    {
        return Notification::send($pricing_logic->user, new PricingLogicNotifyer($pricing_logic, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param PricingLogic $pricing_logic
     *
     * @return void
     */
    public function approve(PricingLogic $pricing_logic)
    {
        return Notification::send($pricing_logic->user, new PricingLogicNotifyer($pricing_logic, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param PricingLogic $pricing_logic
     *
     * @return void
     */
    public function publish(PricingLogic $pricing_logic)
    {
        return Notification::send($pricing_logic->user, new PricingLogicNotifyer($pricing_logic, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param PricingLogic $pricing_logic
     *
     * @return void
     */
    public function archive(PricingLogic $pricing_logic)
    {
        return Notification::send($pricing_logic->user, new PricingLogicNotifyer($pricing_logic, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param PricingLogic $pricing_logic
     *
     * @return void
     */
    public function unpublish(PricingLogic $pricing_logic)
    {
        return Notification::send($pricing_logic->user, new PricingLogicNotifyer($pricing_logic, 'unpublish'));;

    }
}
